## ros-kinetic-schunk-sdh 0.6.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(schunk_sdh)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS actionlib cob_srvs control_msgs diagnostic_msgs libntcan libpcan message_generation roscpp roslint sensor_msgs std_msgs std_srvs trajectory_msgs urdf)

find_package(Boost REQUIRED)

find_package(sdhlibrary_cpp REQUIRED)

### Message Generation ###
add_message_files(
  DIRECTORY msg FILES
    TactileMatrix.msg
    TactileSensor.msg
    TemperatureArray.msg
    PressureArray.msg
    PressureArrayList.msg
)

generate_messages(
  DEPENDENCIES std_msgs
)

catkin_package(
  CATKIN_DEPENDS std_msgs message_runtime
)

### BUILD ###

include_directories(common/include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_executable(${PROJECT_NAME} ros/src/sdh.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-DOSNAME_LINUX -DWITH_ESD_CAN")
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} SDHLibrary-CPP ${catkin_LIBRARIES})

add_executable(sdh_only ros/src/sdh_only.cpp)
set_target_properties(sdh_only PROPERTIES COMPILE_FLAGS "-DOSNAME_LINUX -DWITH_ESD_CAN")
add_dependencies(sdh_only ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(sdh_only SDHLibrary-CPP ${catkin_LIBRARIES})

add_executable(dsa_only ros/src/dsa_only.cpp)
set_target_properties(dsa_only PROPERTIES COMPILE_FLAGS "-DOSNAME_LINUX")
add_dependencies(dsa_only ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsa_only SDHLibrary-CPP ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME} sdh_only dsa_only
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

### LINT ###
roslint_cpp(ros/src/sdh.cpp ros/src/dsa_only.cpp ros/src/sdh_only.cpp)

=== debian/changelog ===
ros-kinetic-schunk-sdh (0.6.14-1xenial) xenial; urgency=high

  * Merge pull request #215 <https://github.com/ipa320/schunk_modular_robotics/issues/215> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge branch 'indigo_dev' into indigo_release_candidate
  * Merge branch 'indigo_dev' of github.com:ipa320/schunk_modular_robotics into indigo_release_candidate
  * Merge pull request #199 <https://github.com/ipa320/schunk_modular_robotics/issues/199> from ipa320/indigo_dev
    Indigo dev
  * Contributors: Christian Rauch, Felix Messmer, fmessmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 20 Nov 2019 00:00:00 -0000

ros-kinetic-schunk-sdh (0.6.13-1xenial) xenial; urgency=high

  * Merge pull request #212 <https://github.com/ipa320/schunk_modular_robotics/issues/212> from christian-rauch/sdhlib_source
    Replace binary sdh library with source SDHLibrary-CPP
  * add source dependency on 'sdhlibrary_cpp'
  * remove binary distribution of SDHLibrary-CPP
  * Merge pull request #210 <https://github.com/ipa320/schunk_modular_robotics/issues/210> from christian-rauch/sdh_only_services
    backport services to SDH only node
  * use private namespace for sdh_only node
  * backport temperature publisching to sdh_only node
  * backport services to sdh_only node
  * Contributors: Christian Rauch

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 19 Aug 2019 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.12-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Aug 2018 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.11-1xenial) xenial; urgency=high

  * Merge pull request #204 <https://github.com/ipa320/schunk_modular_robotics/issues/204> from christian-rauch/pressure
    Publish tactile data as pressure
  * report pressure in Pascal (Pa)
  * publish tactile matrix in pressure units
  * configure DSA debug level and tactile sensitivity through ROS parameters
  * Merge pull request #202 <https://github.com/ipa320/schunk_modular_robotics/issues/202> from christian-rauch/fix_exceptions
    Revert "catch exceptions by const reference"
  * Revert "catch exceptions by const reference"
    This reverts commit 0da887264e5ccfbbf5b552f5c50e45d80fe0a01a.
  * Contributors: Christian Rauch, Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 20 Jul 2018 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.10-1xenial) xenial; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #195 <https://github.com/ipa320/schunk_modular_robotics/issues/195> from christian-rauch/motor_power_switch
    Motor power switch
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * skip check of alternative SDH device types
  * catch exceptions by const reference
  * provide messages for successfull service calls
  * disable / enable motor power
  * change maintainer
  * Merge pull request #192 <https://github.com/ipa320/schunk_modular_robotics/issues/192> from christian-rauch/disable_motors
    Services for disabling motors
  * rename 'disconnect' service to 'shutdown'
  * remove unused 'srvCallback_Recover'
  * 'disconnect' and 'emergency_stop' services return true when finished
  * close connection to DSA
  * deinitialise at stop and disconnect
  * services for stopping motors
  * Merge pull request #193 <https://github.com/ipa320/schunk_modular_robotics/issues/193> from christian-rauch/pub_temperature
    Publish temperatures for monitoring overheating
  * publish temperatures
  * enable C++11
  * use license apache 2.0
  * Contributors: Christian Rauch, Felix Messmer, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 07 Jan 2018 00:00:00 -0000

ros-kinetic-schunk-sdh (0.6.9-1xenial) xenial; urgency=high

  * properly link and install SDHLibrary
  * manually fix changelog
  * Merge branch 'indigo_dev' of https://github.com/ipa320/schunk_modular_robotics into indigo_dev
  * renamed diagnostics topic
  * Contributors: Mathias Lüdtke, ipa-fxm, ipa-nhg

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 16 Jul 2017 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.8-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 09 Oct 2016 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.7-1xenial) xenial; urgency=high

  * do not use the autostart flag for the action sever and start it manually
    to get rid of the race condition warning
  * fix missing add_dependencies
  * sdh_only.cpp mostly roslint compatible
  * dsa_only roslint compatible
  * schunk_sdh/ros/src/sdh.cpp less roslint issues
  * Whitespace formatting (C++ files)
  * Fix whitespaces in header files (automatic)
  * Added roslint to CMakeLists and package
  * Format
  * Format according to roscpp style guide, inline with https://github.com/ipa320/setup/blob/master/coding_introduction/CodingIntroduction.md#ros-coding-styles
  * Contributors: Wolfgang Merkt, demo, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 31 Mar 2016 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.6-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 31 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.5-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 30 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.4-1xenial) xenial; urgency=high

  * boost revision
  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 24 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.3-1xenial) xenial; urgency=high

  * fix topic names
  * replace brics_actuator
  * use new Trigger from std_srvs
  * cleanup/replace cob_srvs
  * adapt schunk_sdh to new namespaces
  * beautify CMakeLists
  * beautify CMakeLists


=== debian/control ===
Source: ros-kinetic-schunk-sdh
Section: misc
Priority: optional
Maintainer: Florian Weisshardt <fmw@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), dpkg, libboost-all-dev, libusb-dev, ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-cob-srvs, ros-kinetic-control-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-libntcan, ros-kinetic-libpcan, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-sdhlibrary-cpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-trajectory-msgs, ros-kinetic-urdf
Homepage: http://ros.org/wiki/schunk_sdh
Standards-Version: 3.9.2

Package: ros-kinetic-schunk-sdh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg, libboost-all-dev, libusb-dev, ros-kinetic-actionlib, ros-kinetic-cob-srvs, ros-kinetic-control-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-libntcan, ros-kinetic-libpcan, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-sdhlibrary-cpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-trajectory-msgs, ros-kinetic-urdf
Description: This package provides an interface for operating the schunk dexterous hand (SDH), including the tactile sensors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-schunk-sdh//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
